Subject: Re: bug#79176: [PATCH] ; * lisp/indent-aux.el: Remove read-only text property
From: Eli Zaretskii <[email-masked]>
To: Tony Zorman <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Aug 2025 16:13:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Tony Zorman <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 06 Aug 2025 08:12:58 +0200
> 
> > Thanks, but isn't it better to bind inhibit-read-only non-nil around
> > the code which modifies the text instead?  By default
> > yank-excluded-properties includes read-only, but what if someone
> > changes the value not to include read-only? won't they expect to see
> > the read-only property when the text is yanked?
> 
> Ah, I didn't know about yank-excluded-properties. You're right, in that
> case perhaps it's better to use inhibit-read-only; I've updated the
> patch accordingly.

Thanks, now installed on the master branch (after fixing the commit
log message, since it still talked about removing the property).

I'm therefore closing this bug.